package com.company;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

public class Client {

    public static void main(String[] args) {
        try {
            Socket client = new Socket("localhost",8080);
            BufferedReader reader = new BufferedReader(new InputStreamReader(client.getInputStream()));
            BufferedReader keyboard = new BufferedReader(new InputStreamReader(System.in));
            PrintWriter writer = new PrintWriter(client.getOutputStream(),true);

            while (true){
                String request = keyboard.readLine();
                writer.println(request);
                if(request.toLowerCase().equals("over")){
                    while (true){
                        request = reader.readLine();
                        if(request == null){
                            break;
                        }
                        System.out.println(request);
                    }
                    reader.close();
                    writer.close();
                    keyboard.close();
                    client.close();
                    break;
                }

                String answer = reader.readLine();
                System.out.println(answer);
            }
        }catch (IOException e){
            e.printStackTrace();
        }
    }
}
