package com.company;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;

public class Server {

    private static ArrayList<String> messages;

    public static void main(String[] args) {
        messages = new ArrayList<>();
        try {
            ServerSocket server = new ServerSocket(8080);
            System.out.println("Waiting for clients to join ...");
            Socket client = server.accept();
            System.out.println("A client joined");
            BufferedReader reader = new BufferedReader(new InputStreamReader(client.getInputStream()));
            PrintWriter writer = new PrintWriter(client.getOutputStream(),true);
            while (true){
                String request = reader.readLine();
                writer.println("[Server] received your message : "+request);
                messages.add(request);
                if(request.toLowerCase().equals("over")){
                    writer.println("Your sent messages are :");
                    for(int  i = 0 ; i < messages.size() ; i++){
                        writer.println(messages.get(i));
                    }
                    reader.close();
                    writer.close();
                    System.out.println("Server is shutting down...");
                    server.close();
                    break;
                }
            }
        }catch (IOException e){
            e.printStackTrace();
        }
    }
}
